spring.application.name=thymeleaf-demo

server.error.include-binding-errors=always
server.error.include-message=always
server.error.include-stacktrace=always
server.error.include-exception=true
server.error.include-path=always

spring.thymeleaf.prefix=classpath:/templates/
spring.thymeleaf.suffix=.html
spring.thymeleaf.mode=HTML
spring.thymeleaf.encoding=UTF-8
spring.thymeleaf.cache=false

# H2 Database. Access console via http://localhost:8080/h2-console. JDBC URL: jdbc:h2:mem:todos
spring.datasource.url=jdbc:h2:mem:todos
spring.datasource.driverClassName=org.h2.Driver
spring.h2.console.enabled=true
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.jpa.hibernate.ddl-auto=update

